using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using System.Diagnostics;
using NHibernate.Validator.Engine;
using System.Collections;
using NHibernate.Mapping;
using NHibernate.Validator.Constraints;

namespace ClassLibrary1
{
    public class Customer
    {
        public virtual int CustomerId { get; set; }

        private IList<Order> _orders = new List<Order>();

        [Range(Min = 1)]
        public virtual int Age { get; set; }

        [NotNullNotEmpty]
        public virtual string Firstname { get; set; }

        [Gender("You must enter either 'male' or 'female'")]
        public virtual string Gender { get; set; }

        [NotNullNotEmpty]
        public virtual string Lastname { get; set; }

        [Valid]
        public virtual IList<Order> Orders
        {
            get
            {
                return _orders;
            }
            set
            {
                _orders = value;
            }
        }

    }
}
